Package de.willuhn.jameica.hbci.gui.controller

# Class EinnahmeAusgabeControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.EinnahmeAusgabeControl

public class EinnahmeAusgabeControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Umsatz-Kategorien-Auswertung

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`EinnahmeAusgabeControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.CheckboxInput`
`getActiveOnly()`
Liefert die Checkbox, mit der eingestellt werden kann, ob nur aktive Konten angezeigt werden sollen.
`EinnahmenAusgabenVerlauf`
`getChart()`
Liefert ein Balkendiagramm bei dem Ausgaben und Einnahmen gegenübergestellt werden
`de.willuhn.jameica.gui.input.Input`
`getEnd()`
Liefert ein Auswahl-Feld fuer das End-Datum.
`de.willuhn.jameica.gui.input.SelectInput`
`getInterval()`
Liefert ein Auswahl-Feld für die zeitliche Gruppierung.
`KontoInput`
`getKontoAuswahl()`
Liefert eine Auswahlbox fuer das Konto.
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`de.willuhn.jameica.gui.input.Input`
`getStart()`
Liefert ein Auswahl-Feld fuer das Start-Datum.
`de.willuhn.jameica.gui.parts.TreePart`
`getTree()`
Liefert eine Tabelle mit den Einnahmen/Ausgaben und Salden
`void`
`handleReload()`
Aktualisiert die Tabelle.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EinnahmeAusgabeControl

public EinnahmeAusgabeControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getKontoAuswahl

public KontoInput getKontoAuswahl() throws RemoteException
Liefert eine Auswahlbox fuer das Konto.

Returns:
  Auswahlbox.
Throws:
  `RemoteException`

### getStart

public de.willuhn.jameica.gui.input.Input getStart()
Liefert ein Auswahl-Feld fuer das Start-Datum.

Returns:
  Auswahl-Feld.

### getActiveOnly

public de.willuhn.jameica.gui.input.CheckboxInput getActiveOnly()
Liefert die Checkbox, mit der eingestellt werden kann, ob nur aktive Konten angezeigt werden sollen.

Returns:
  Checkbox.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### getEnd

public de.willuhn.jameica.gui.input.Input getEnd()
Liefert ein Auswahl-Feld fuer das End-Datum.

Returns:
  Auswahl-Feld.

### getInterval

public de.willuhn.jameica.gui.input.SelectInput getInterval()
Liefert ein Auswahl-Feld für die zeitliche Gruppierung.

Returns:
  Auswahl-Feld

### getChart

public EinnahmenAusgabenVerlauf getChart() throws RemoteException
Liefert ein Balkendiagramm bei dem Ausgaben und Einnahmen gegenübergestellt werden

Returns:
  Balkendiagramm
Throws:
  `RemoteException`

### getTree

public de.willuhn.jameica.gui.parts.TreePart getTree() throws RemoteException
Liefert eine Tabelle mit den Einnahmen/Ausgaben und Salden

Returns:
  Tabelle mit den Einnahmen/Ausgaben und Salden
Throws:
  `RemoteException`

### handleReload

public void handleReload()
Aktualisiert die Tabelle.